Webhooks
Webhooks Partial Update
Partial update an existing webhook.
Authorization
oauth2 webhooks:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: webhooks:write
Path Parameters
id*integer
A unique integer value identifying this webhook.
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X PATCH "https://example.com/webhooks/0/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{}'{ "active": true, "api_version": "string", "created_at": "2019-08-24T14:15:22Z", "events": [ "cart.abandoned" ], "id": 0, "name": "string", "next_check_date": "2019-08-24T14:15:22Z", "secret_key": "string", "target": "http://example.com", "updated_at": "2019-08-24T14:15:22Z", "warning_count": 0}